---
title: List reports
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getsitereports/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getsitereports.png
---

# List reports

GET

/site_reports

Select code sample

```sh
curl --request GET \
  --url 'https://api.wpengineapi.com/v1/site_reports?site_id=eeda3227-9a39-46ae-9e14-20958bb4e6c9' \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the generated reports for the site given by the required `site_id` parameter.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Query Parameters

**site_id**

required

string format: uuid

Filter reports by site ID

#### Example

```
eeda3227-9a39-46ae-9e14-20958bb4e6c9
```

## Responses

### 200

Returns a `SiteReportList` object containing the generated site reports.

Media typeapplication/json

object

**reports**

List of generated site reports

Array\<object>

object

**uuid**

Unique identifier for the report

string format: uuid

**title**

Title of the report

string

**date_range**

Time period covered by the report

object

**start_date**

Start date of the reporting period

string format: date-time

**end_date**

End date of the reporting period

string format: date-time

**created_at**

Timestamp when the report was generated

string format: date-time

**recipients**

Email recipients who received the report

Array\<object>

object

**email**

Email address of the recipient

string format: email

**download_url**

URL to download the report PDF

string format: uri

#### Example

```json
{
  "reports": [
    {
      "uuid": "18cb2c9c-5755-4b32-a59b-18acd206bc36",
      "title": "Sample report",
      "date_range": {
        "start_date": "2026-05-13T02:00:42.163034Z",
        "end_date": "2026-05-20T02:00:42.163034Z"
      },
      "created_at": "2026-05-21T02:00:42.286801Z",
      "recipients": [
        {
          "email": "user@example.com"
        }
      ],
      "download_url": "https://storage.googleapis.com/sites-reports-bucket/report.pdf"
    }
  ]
}
```

### 400

Bad Request

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "Invalid request.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
